Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class Point2D.Float

    java.lang.Object
      |
      +--java.awt.geom.Point2D
            |
            +--java.awt.geom.Point2D.Float

All Implemented Interfaces:
  Cloneable

Enclosing class:
  Point2D

public static class Point2D.Float
extends Point2D

The `Float` class defines a point specified in float precision.

Nested Class Summary

Nested classes inherited from class java.awt.geom.Point2D
`Point2D.Double, Point2D.Float`

Field Summary
`float` | `x` The X coordinate of this `Point2D`.
`float` | `y` The Y coordinate of this `Point2D`.

Constructor Summary
`Point2D.Float()` Constructs and initializes a `Point2D` with coordinates (0, 0).
`Point2D.Float(float x, float y)` Constructs and initializes a `Point2D` with the specified coordinates.

Method Summary
`double` | `getX()` Returns the X coordinate of this `Point2D` in `double` precision.
`double` | `getY()` Returns the Y coordinate of this `Point2D` in `double` precision.
`void` | `setLocation(double x, double y)` Sets the location of this `Point2D` to the specified `double` coordinates.
`void` | `setLocation(float x, float y)` Sets the location of this `Point2D` to the specified `float` coordinates.
`String` | `toString()` Returns a `String` that represents the value of this `Point2D`.

Methods inherited from class java.awt.geom.Point2D
`clone, distance, distance, distance, distanceSq, distanceSq, distanceSq, equals, hashCode, setLocation`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public float x

  The X coordinate of this `Point2D`.

  Since:
    1.2

### y

    public float y

  The Y coordinate of this `Point2D`.

  Since:
    1.2

Constructor Detail

### Point2D.Float

    public Point2D.Float()

  Constructs and initializes a `Point2D` with coordinates (0, 0).

Since:
  1.2

### Point2D.Float

    public Point2D.Float(float x,
                         float y)

  Constructs and initializes a `Point2D` with the specified coordinates.

Since:
  1.2

Method Detail

### getX

    public double getX()

  Returns the X coordinate of this `Point2D` in `double` precision.

  Specified by:
    `getX` in class `Point2D`
  Returns:
    the X coordinate of this `Point2D`.
  Since:
    1.2

### getY

    public double getY()

  Returns the Y coordinate of this `Point2D` in `double` precision.

  Specified by:
    `getY` in class `Point2D`
  Returns:
    the Y coordinate of this `Point2D`.
  Since:
    1.2

### setLocation

    public void setLocation(double x,
                            double y)

  Sets the location of this `Point2D` to the specified `double` coordinates.

  Specified by:
    `setLocation` in class `Point2D`
  Since:
    1.2

### setLocation

    public void setLocation(float x,
                            float y)

  Sets the location of this `Point2D` to the specified `float` coordinates.

  Since:
    1.2

### toString

    public String toString()

  Returns a `String` that represents the value of this `Point2D`.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this `Point2D`.
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.